## GESOperationClip GESOperationClip — Base Class for operations in a GESLayer |

## Synopsis

    #include <ges/ges.h>

                        GESOperationClip;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GESTimelineElement
                   +----GESContainer
                         +----GESClip
                               +----GESOperationClip
                                     +----GESOverlayClip
                                     +----GESBaseTransitionClip
                                     +----GESBaseEffectClip

## Implemented Interfaces

GESOperationClip implements GESExtractable and GESMetaContainer.

## Description

Operations are any kind of object that both outputs AND consumes data.

## Details

### GESOperationClip

    typedef struct _GESOperationClip GESOperationClip;

The GESOperationClip subclass. Subclasses can access these fields.